
/*
	ポップアップウインドウツールボックス バージョン 1.0（日本語訳）
	target属性の値が_blank、もしくはrel属性の値がpopupに設定されているすべてのリンクを置き換える
	ポップアップウインドウを開き、rev属性の値がpopuptriggerに設定されているすべてのリンクを置き換える
	現在のウインドウを閉じる
*/
function popuptools()
{
	// DOMが利用可能かどうか確かめる
	if(!document.getElementById || !document.createTextNode){return;}
	// 変数を定義する
	// targetはポップアップリンクを指す
	var triggerTarget='_blank';
	// relはポップアップリンクを指す
	var triggerRel='popup';
	// revは閉じるリンクを指す
	var backRev='poptrigger';
	// revのポップアップを持つが、targetは持たないリンクに付加するメッセージ
	var openMessage='（新規ウインドウで開く）';
	// 戻るリンクを置き換えるメッセージ
	var closeMessage='ウインドウを閉じる';
	// ループするリンク（これ以上拘束しないための良いアイデアである）
	var links=document.getElementsByTagName('a');
	// ウインドウがポップアップウインドウの場合（開くウインドウがある）
	if(window.opener)
	{
		// rev属性をテストするための新しい正規表現を定義する
		var check = new RegExp("(^|\\s)" + backRev + "(\\s|$)");
		// すべてのリンクをループする
		for(var i=0;i<links.length;i++)
		{
			// 適切なrev属性がない場合、このリンクをスキップする
			if(!check.test(links[i].getAttribute('rev'))){continue;}
			// 閉じるリンクが空ではない場合、リンクテキストと差し替える
			if(closeMessage!=''){links[i].firstChild.nodeValue=closeMessage;}
			// リンクがアクティブになった場合、ウインドウを閉じる
			addEvent(links[i],'click',dealwithwin);

		}
	//ウインドウがポップアップではない場合
	} else {
		// すべてのリンクをループする
		for(var i=0;i<links.length;i++)
		{
			// リンクに適切なrelもしくはtarget属性がない場合、スキップする
			if(links[i].getAttribute('rel')!=triggerRel && 
			links[i].getAttribute('target')!=triggerTarget)
			{continue;}
			// リンクにtargetがない場合、開くメッセージを付加する
			if(!links[i].target)
			{
				links[i].appendChild(document.createTextNode(openMessage));
			}
			// リンクがアクティブになり、ウインドウがフォーカスされた時に、
			// 定義された属性を伴って、新しいウインドウを開く
			addEvent(links[i],'click',dealwithwin,false);
		}
	}
}
function dealwithwin(e)
{
	var el;
	if (window.event && window.event.srcElement) el = window.event.srcElement;
	if (e && e.target) el = e.target;
	if (!el) return;
	var popupname='popup';
	var windowAttributes='width=400,height=400,scrollbars=yes,resizable=yes,menubar=yes';
	if(!window.opener)
	{
		var popup=window.open(el.href,popupname,windowAttributes);
		// ポップアップがブロックされなかった場合
		if(popup)
		{
			popup.focus();
			if(e.returnValue){e.returnValue = false;}
		    if(e.preventDefault){e.preventDefault();}
		    return false;
		}
	} else {
		window.close();
	}
}
function addEvent(elm, evType, fn, useCapture)
// IE5+, NS6+ および Mozilla/Geckoにおけるクロスブラウザのイベント処理
// Scott Andrew作
{
  if (elm.addEventListener) {
    elm.addEventListener(evType, fn, useCapture); 
    return true; 
  } else if (elm.attachEvent) {
    var r = elm.attachEvent('on' + evType, fn); 
    return r; 
  } else {
    elm['on' + evType] = fn;
  }
}
addEvent(window,'load',popuptools,false);


